=== debian/changelog ===
glance (2:13.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 16:06:52 +0000

glance (2:13.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of debconf (Closes: #830632).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 16:27:27 +0200

glance (2:13.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-requirements.txt.patch.
  * Disable test_wsgi_ipv6.IPv6ServerTest.test_evnetlet_no_dnspython that is
    failing in Xenial.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 09:46:22 +0200

glance (2:12.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)

  [ Ivan Udovichenko ]
  * Add Glance Glare package.

  [ Thomas Goirand ]
  * Updated Japanese debconf templates (Closes: #820762).
  * Updated Dutch debconf templates (Closes: #822888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 12:46:22 +0000

glance (2:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:10:55 +0200

glance (2:12.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #815957).
  * Using testr directly to run tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:22:46 +0200

glance (2:12.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:01:47 +0000

glance (2:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Bumped python-glance-store (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:14:34 +0100

glance (2:12.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also installs /usr/bin/glance-glare.
  * Also generates glance-glare.conf.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 14:34:37 +0800

glance (2:12.0.0~b2-3) experimental; urgency=medium

  * Better config file generation.
  * Make build reproducible (Closes: #807475).
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 06:15:09 +0000

glance (2:12.0.0~b2-2) experimental; urgency=medium

  * Fixed use of -S flag in dpkg-parsechangelog, incompatible with Trusty.
  * Added build-depends on git, due to its use in sphinx-build.
  * Bump EPOCH to align with Ubuntu.
  * Fixed rabbitmq credential in debconf to use the oslo_messaging_rabbit
    section.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 23:31:11 +0800

glance (1:12.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removing /usr/bin/glance-artifacts to glance-common as it's gone from
    upstream entry-points.
  * glance-api depends on adduser to avoid a lintian warning.
  * Update namespaces for config file generation.
  * Fixed debian/copyright ordering and years.
  * Unit test fix:
    - fix-test_multiprocessing.py-call-to-psutils.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 09:26:10 +0100

glance (1:11.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.
  * Added missing python-swiftclient needed for building the config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 14:17:05 +0000

glance (1:11.0.0-2) unstable; urgency=medium

  * Purge /etc/glance completely on purge (Closes: #802537).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:08:06 +0000

glance (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Adding python-swiftclient as runtime dependency (request from puppet team).
  * Added tweak of lock_path in glance-api.conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 21:58:33 +0200

glance (1:11.0.0~rc1-2) experimental; urgency=medium

  * Now generating config file with oslo-config-generator.
  * Fixes install of config file.
  * Using http protocol by default, not https, for glance connecting to
    Keystone through keystonemiddleware.
  * Change default value for filesystem_store_datadir in both the
    glance-api.conf and glance-registry.conf: the default doesn't work as the
    comments in the config file pretends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2015 10:02:16 +0200

glance (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 16:44:58 +0200

glance (1:11.0.0~b3-2) experimental; urgency=medium

  * Now glance-api depends on openstackclient.
  * Fixed install of schema-image.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 11:28:04 +0000

glance (1:11.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Align with MOS packaging.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2015 22:01:44 +0200

glance (1:11.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 09:30:49 +0200

glance (2015.1.0-2) unstable; urgency=medium

  * Makes glance build reproduceable. Thanks to Juan Picca <jumapico@gmail.com>
    for the bug report and patch. (Closes: #788469).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 19:33:36 +0200

glance (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:44:52 +0000


