=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit,
                     curl,
                     git,
                     procps,
                     python-babel (>= 2.3.4),
                     python-boto,
                     python-castellan (>= 0.4.0),
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-debtcollector (>= 1.2.0),
                     python-elasticsearch (>= 1.3.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glance-store (>= 0.13.0),
                     python-hacking,
                     python-httplib2,
                     python-iso8601 (>= 0.1.11),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.7.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3,
                     python-mysqldb,
                     python-openssl,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-paste,
                     python-pastedeploy,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-qpid,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-semantic-version (>= 2.3.1),
                     python-sendfile,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-swiftclient (>= 1:2.6.0),
                     python-taskflow (>= 1.26.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-wsme (>= 0.8),
                     python-xattr,
                     sqlite3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
Homepage: https://github.com/openstack/glance

Package: python-glance
Architecture: all
Section: python
Depends: libxml2-dev,
         libxslt-dev,
         procps,
         python-boto,
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.3.1),
         python-crypto,
         python-cryptography (>= 1.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.11.0),
         python-glance-store (>= 0.13.0),
         python-httplib2,
         python-iso8601 (>= 0.1.11),
         python-jsonschema,
         python-keystoneauth1 (>= 2.7.0),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-migrate (>= 0.9.6),
         python-monotonic (>= 0.6),
         python-mysqldb,
         python-openssl,
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-osprofiler (>= 1.3.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-swiftclient (>= 2.2.0),
         python-taskflow (>= 1.26.0),
         python-webob,
         python-wsme (>= 0.8),
         python-xattr,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-glance (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-api
Architecture: all
Depends: adduser,
         debconf,
         glance-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-glare
Architecture: all
Depends: adduser,
         glance-common (= ${source:Version}),
         python-openstackclient (>= 2.1.0),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Suggests: q-text-as-data,
Description: OpenStack Artifacts - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance Glare artifacts API server.

Package: glance-registry
Architecture: all
Depends: adduser,
         glance-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - registry server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance registry server.
