## glance 13.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -14,15 +14,15 @@
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 httplib2>=0.7.5 # MIT
 pycrypto>=2.6 # Public Domain
-oslo.config>=3.12.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
-stevedore>=1.10.0 # Apache-2.0
-futurist>=0.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
+futurist!=0.15.0,>=0.11.0 # Apache-2.0
 taskflow>=1.26.0 # Apache-2.0
-keystoneauth1>=2.7.0 # Apache-2.0
+keystoneauth1>=2.10.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
 WSME>=0.8 # MIT
 PrettyTable<0.8,>=0.7 # BSD
@@ -31,32 +31,31 @@
 Paste # MIT
 
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
 pyOpenSSL>=0.14 # Apache-2.0
 # Required by openstack.common libraries
 six>=1.9.0 # MIT
 
-oslo.db>=4.1.0 # Apache-2.0
+oslo.db>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
-oslo.serialization>=1.10.0 # Apache-2.0
 
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-osprofiler>=1.3.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0
 
 # Glance Store
-glance-store>=0.13.0 # Apache-2.0
+glance-store>=0.18.0 # Apache-2.0
 
 
 # Artifact repository
 semantic-version>=2.3.1 # BSD
 
-castellan>=0.4.0 # Apache-2.0
+debtcollector>=1.2.0 # Apache-2.0
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
-debtcollector>=1.2.0 # Apache-2.0
+cursive>=0.1.1 # Apache-2.0
 
 # timeutils
 iso8601>=0.1.11 # MIT
