=== debian/changelog ===
glance (2:13.0.0~b3-1+555~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 18 Sep 2016 07:31:35 +0000

glance (2:13.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed default-config.patch.
  * Rebased sql_conn-registry.patch and fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:00:51 +0200
