## glance 13.0.0~rc1

=== debian/changelog ===
glance (2:13.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Fixed olsotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 08:55:20 +0000

glance (2:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed default-config.patch.
  * Rebased sql_conn-registry.patch and fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:00:51 +0200
