=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -18,22 +18,22 @@
                      procps,
                      python-babel (>= 2.3.4),
                      python-boto,
-                     python-castellan (>= 0.4.0),
                      python-coverage,
                      python-crypto,
                      python-cryptography (>= 1.0),
+                     python-cursive (>= 0.1.1),
                      python-debtcollector (>= 1.2.0),
                      python-elasticsearch (>= 1.3.0),
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glance-store (>= 0.13.0),
+                     python-glance-store (>= 0.18.0),
                      python-hacking,
                      python-httplib2,
                      python-iso8601 (>= 0.1.11),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.7.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
@@ -41,24 +41,25 @@
                      python-mox3,
                      python-mysqldb,
                      python-openssl,
+                     python-os-api-ref,
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
-                     python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-osprofiler (>= 1.3.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy,
+                     python-pep8,
                      python-prettytable,
                      python-psutil,
                      python-psycopg2 (>= 2.5),
@@ -71,7 +72,7 @@
                      python-sendfile,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient (>= 1:2.6.0),
                      python-taskflow (>= 1.26.0),
                      python-testresources,
@@ -84,8 +85,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glance?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-glance -b debian/newton
 Homepage: https://github.com/openstack/glance
 
 Package: python-glance
@@ -95,37 +96,36 @@
          libxslt-dev,
          procps,
          python-boto,
-         python-castellan (>= 0.4.0),
          python-cinderclient (>= 1:1.3.1),
          python-crypto,
          python-cryptography (>= 1.0),
+         python-cursive (>= 0.1.1),
          python-debtcollector (>= 1.2.0),
          python-eventlet (>= 0.18.4),
          python-futurist (>= 0.11.0),
-         python-glance-store (>= 0.13.0),
+         python-glance-store (>= 0.18.0),
          python-httplib2,
          python-iso8601 (>= 0.1.11),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.7.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
          python-monotonic (>= 0.6),
          python-mysqldb,
          python-openssl,
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
-         python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
-         python-osprofiler (>= 1.3.0),
+         python-oslo.utils (>= 3.16.0),
+         python-osprofiler (>= 1.4.0),
          python-paste,
          python-pastedeploy,
          python-pbr (>= 1.8),
@@ -138,7 +138,7 @@
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-swiftclient (>= 2.2.0),
          python-taskflow (>= 1.26.0),
          python-webob,
