## glance 13.0.0~rc2

=== debian/changelog ===
glance (2:13.0.0~rc2-1+559~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:11:52 +0000

glance (2:13.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed olsotest EPOCH.
  * Debconf translation:
    - it (Closes: #839196).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:40:21 +0200
