## glance 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # Required by openstack.common libraries
 six>=1.9.0 # MIT
 
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
