=== debian/changelog ===
glance (2:13.0.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 18 Mar 2017 21:30:17 +0000

glance (2:13.0.0-3) unstable; urgency=medium

  * Team upload.
  * Added dependency: net-tools ( Closes: #858123 )

 -- David Rabel <david.rabel@noresoft.com>  Sat, 18 Mar 2017 19:06:26 +0100

glance (2:13.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:26:08 +0100

glance (2:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:47:48 +0200
