=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
                openstack-pkg-tools (>= 53~),
@@ -206,6 +206,7 @@
          glance-common (= ${source:Version}),
          python-openstackclient,
          q-text-as-data,
+         net-tools,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
