## glance 14.0.0

=== debian/changelog ===
glance (2:14.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 03 Aug 2017 18:26:38 +0200
