=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
                      python-httplib2,
                      python-iso8601 (>= 0.1.11),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.10.0),
-                     python-keystoneclient (>= 1:2.0.0),
-                     python-keystonemiddleware (>= 4.0.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneclient (>= 1:3.8.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
@@ -46,16 +46,18 @@
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
+                     python-alembic(>=0.8.8),
+                     python3-alembic(>=0.8.8),
                      python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy,
@@ -72,9 +74,9 @@
                      python-sendfile,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-swiftclient (>= 1:2.6.0),
-                     python-taskflow (>= 1.26.0),
+                     python-taskflow (>= 2.7.0),
                      python-testresources,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -85,8 +87,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glance?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-glance -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/openstack/glance.git
 Homepage: https://github.com/openstack/glance
 
 Package: python-glance
@@ -97,6 +99,7 @@
          procps,
          python-boto,
          python-cinderclient (>= 1:1.3.1),
+         python-alembic(>=0.8.8),
          python-crypto,
          python-cryptography (>= 1.0),
          python-cursive (>= 0.1.1),
@@ -107,9 +110,9 @@
          python-httplib2,
          python-iso8601 (>= 0.1.11),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.10.0),
-         python-keystoneclient (>= 1:2.0.0),
-         python-keystonemiddleware (>= 4.0.0),
+         python-keystoneauth1 (>= 2.18.0),
+         python-keystoneclient (>= 1:3.8.0),
+         python-keystonemiddleware (>= 4.12.0),
          python-migrate (>= 0.9.6),
          python-monotonic (>= 0.6),
          python-mysqldb,
@@ -117,14 +120,14 @@
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.db (>= 4.15.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.9.0),
+         python-oslo.policy (>= 1.17.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-osprofiler (>= 1.4.0),
          python-paste,
          python-pastedeploy,
@@ -138,9 +141,9 @@
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          python-swiftclient (>= 2.2.0),
-         python-taskflow (>= 1.26.0),
+         python-taskflow (>= 2.7.0),
          python-webob,
          python-wsme (>= 0.8),
          python-xattr,
@@ -206,7 +209,6 @@
          glance-common (= ${source:Version}),
          python-openstackclient,
          q-text-as-data,
-         net-tools,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
